BloomMapFile.Writer (Hadoop 0.20.1+169.127 API)
Date: 2011-01-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io
Class BloomMapFile.Writer

    java.lang.Object
      org.apache.hadoop.io.MapFile.Writer
          org.apache.hadoop.io.BloomMapFile.Writer

All Implemented Interfaces:
  Closeable

Enclosing class:
  BloomMapFile

    public static class BloomMapFile.Writer

extends MapFile.Writer

Constructor Summary
`BloomMapFile.Writer(Configuration conf, FileSystem fs, String dirName, Class<? extends WritableComparable> keyClass, Class valClass)`
`BloomMapFile.Writer(Configuration conf, FileSystem fs, String dirName, Class<? extends WritableComparable> keyClass, Class<? extends Writable> valClass, SequenceFile.CompressionType compress, CompressionCodec codec, Progressable progress)`
`BloomMapFile.Writer(Configuration conf, FileSystem fs, String dirName, Class<? extends WritableComparable> keyClass, Class valClass, SequenceFile.CompressionType compress)`
`BloomMapFile.Writer(Configuration conf, FileSystem fs, String dirName, Class<? extends WritableComparable> keyClass, Class valClass, SequenceFile.CompressionType compress, Progressable progress)`
`BloomMapFile.Writer(Configuration conf, FileSystem fs, String dirName, WritableComparator comparator, Class valClass)`
`BloomMapFile.Writer(Configuration conf, FileSystem fs, String dirName, WritableComparator comparator, Class valClass, SequenceFile.CompressionType compress)`
`BloomMapFile.Writer(Configuration conf, FileSystem fs, String dirName, WritableComparator comparator, Class valClass, SequenceFile.CompressionType compress, CompressionCodec codec, Progressable progress)`
`BloomMapFile.Writer(Configuration conf, FileSystem fs, String dirName, WritableComparator comparator, Class valClass, SequenceFile.CompressionType compress, Progressable progress)`

Method Summary
`void` | `append(WritableComparable key, Writable val)` Append a key/value pair to the map.
`void` | `close()` Close the map.

Methods inherited from class org.apache.hadoop.io.MapFile.Writer
`getIndexInterval, setIndexInterval, setIndexInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BloomMapFile.Writer

    public BloomMapFile.Writer(Configuration conf,
                               FileSystem fs,
                               String dirName,
                               Class<? extends WritableComparable> keyClass,
                               Class<? extends Writable> valClass,
                               SequenceFile.CompressionType compress,
                               CompressionCodec codec,
                               Progressable progress)
                        throws IOException

Throws:
  `IOException`

### BloomMapFile.Writer

    public BloomMapFile.Writer(Configuration conf,
                               FileSystem fs,
                               String dirName,
                               Class<? extends WritableComparable> keyClass,
                               Class valClass,
                               SequenceFile.CompressionType compress,
                               Progressable progress)
                        throws IOException

Throws:
  `IOException`

### BloomMapFile.Writer

    public BloomMapFile.Writer(Configuration conf,
                               FileSystem fs,
                               String dirName,
                               Class<? extends WritableComparable> keyClass,
                               Class valClass,
                               SequenceFile.CompressionType compress)
                        throws IOException

Throws:
  `IOException`

### BloomMapFile.Writer

    public BloomMapFile.Writer(Configuration conf,
                               FileSystem fs,
                               String dirName,
                               WritableComparator comparator,
                               Class valClass,
                               SequenceFile.CompressionType compress,
                               CompressionCodec codec,
                               Progressable progress)
                        throws IOException

Throws:
  `IOException`

### BloomMapFile.Writer

    public BloomMapFile.Writer(Configuration conf,
                               FileSystem fs,
                               String dirName,
                               WritableComparator comparator,
                               Class valClass,
                               SequenceFile.CompressionType compress,
                               Progressable progress)
                        throws IOException

Throws:
  `IOException`

### BloomMapFile.Writer

    public BloomMapFile.Writer(Configuration conf,
                               FileSystem fs,
                               String dirName,
                               WritableComparator comparator,
                               Class valClass,
                               SequenceFile.CompressionType compress)
                        throws IOException

Throws:
  `IOException`

### BloomMapFile.Writer

    public BloomMapFile.Writer(Configuration conf,
                               FileSystem fs,
                               String dirName,
                               WritableComparator comparator,
                               Class valClass)
                        throws IOException

Throws:
  `IOException`

### BloomMapFile.Writer

    public BloomMapFile.Writer(Configuration conf,
                               FileSystem fs,
                               String dirName,
                               Class<? extends WritableComparable> keyClass,
                               Class valClass)
                        throws IOException

Throws:
  `IOException`

Method Detail

### append

    public void append(WritableComparable key,
                       Writable val)
                throws IOException

  Description copied from class: `MapFile.Writer`
  Append a key/value pair to the map. The key must be greater or equal to the previous key added to the map.

  Overrides:
    `append` in class `MapFile.Writer`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Description copied from class: `MapFile.Writer`
  Close the map.

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `MapFile.Writer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation